<?php
/**
 * Class which returns the class map definition
 * @package
 */
class ClassMap
{
    /**
     * Returns the mapping between the WSDL Structs and generated Structs' classes
     * This array is sent to the \SoapClient when calling the WS
     * @return string[]
     */
    final public static function get()
    {
        return array(
            'sasIntegraFaultBean' => '\\StructType\\SasIntegraFaultBean',
            'atualizarSenha' => '\\StructType\\AtualizarSenha',
            'atualizarSenhaResponse' => '\\StructType\\AtualizarSenhaResponse',
            'comandoEmbarquePontoDiario' => '\\StructType\\ComandoEmbarquePontoDiario',
            'comandoEmbarquePontoDiarioResponse' => '\\StructType\\ComandoEmbarquePontoDiarioResponse',
            'consultaQuantidadePacotesPosicoesPendentes' => '\\StructType\\ConsultaQuantidadePacotesPosicoesPendentes',
            'consultaQuantidadePacotesPosicoesPendentesResponse' => '\\StructType\\ConsultaQuantidadePacotesPosicoesPendentesResponse',
            'enviarParametrizacaoTelemetria' => '\\StructType\\EnviarParametrizacaoTelemetria',
            'enviarParametrizacaoTelemetriaResponse' => '\\StructType\\EnviarParametrizacaoTelemetriaResponse',
            'Exception' => '\\StructType\\Exception',
            'getDriverPositionPacketByRangeJSON' => '\\StructType\\GetDriverPositionPacketByRangeJSON',
            'getDriverPositionPacketByRangeJSONResponse' => '\\StructType\\GetDriverPositionPacketByRangeJSONResponse',
            'getDriverPositionPacketJSON' => '\\StructType\\GetDriverPositionPacketJSON',
            'getDriverPositionPacketJSONResponse' => '\\StructType\\GetDriverPositionPacketJSONResponse',
            'getPositionPacketByRangeJSON' => '\\StructType\\GetPositionPacketByRangeJSON',
            'getPositionPacketByRangeJSONResponse' => '\\StructType\\GetPositionPacketByRangeJSONResponse',
            'getPositionPacketWithLicensePlateJSON' => '\\StructType\\GetPositionPacketWithLicensePlateJSON',
            'getPositionPacketWithLicensePlateJSONResponse' => '\\StructType\\GetPositionPacketWithLicensePlateJSONResponse',
            'getPositionsPacketJSON' => '\\StructType\\GetPositionsPacketJSON',
            'getPositionsPacketJSONResponse' => '\\StructType\\GetPositionsPacketJSONResponse',
            'getSmartCamerasEvents' => '\\StructType\\GetSmartCamerasEvents',
            'getSmartCamerasEventsResponse' => '\\StructType\\GetSmartCamerasEventsResponse',
            'getVehiclesJSON' => '\\StructType\\GetVehiclesJSON',
            'getVehiclesJSONResponse' => '\\StructType\\GetVehiclesJSONResponse',
            'obterAlertasAVDVinculados' => '\\StructType\\ObterAlertasAVDVinculados',
            'obterAlertasAVDVinculadosResponse' => '\\StructType\\ObterAlertasAVDVinculadosResponse',
            'obterCadastroAlertasAvd' => '\\StructType\\ObterCadastroAlertasAvd',
            'obterCadastroAlertasAvdResponse' => '\\StructType\\ObterCadastroAlertasAvdResponse',
            'obterClientes' => '\\StructType\\ObterClientes',
            'obterClientesResponse' => '\\StructType\\ObterClientesResponse',
            'obterDadosAdicionais' => '\\StructType\\ObterDadosAdicionais',
            'obterDadosAdicionaisCliente' => '\\StructType\\ObterDadosAdicionaisCliente',
            'obterDadosAdicionaisClienteResponse' => '\\StructType\\ObterDadosAdicionaisClienteResponse',
            'obterDadosAdicionaisResponse' => '\\StructType\\ObterDadosAdicionaisResponse',
            'obterDeltaTelemetriaIntegracao' => '\\StructType\\ObterDeltaTelemetriaIntegracao',
            'obterDeltaTelemetriaIntegracaoDataChegada' => '\\StructType\\ObterDeltaTelemetriaIntegracaoDataChegada',
            'obterDeltaTelemetriaIntegracaoDataChegadaResponse' => '\\StructType\\ObterDeltaTelemetriaIntegracaoDataChegadaResponse',
            'obterDeltaTelemetriaIntegracaoInercia' => '\\StructType\\ObterDeltaTelemetriaIntegracaoInercia',
            'obterDeltaTelemetriaIntegracaoInerciaDataChegada' => '\\StructType\\ObterDeltaTelemetriaIntegracaoInerciaDataChegada',
            'obterDeltaTelemetriaIntegracaoInerciaDataChegadaResponse' => '\\StructType\\ObterDeltaTelemetriaIntegracaoInerciaDataChegadaResponse',
            'obterDeltaTelemetriaIntegracaoInerciaResponse' => '\\StructType\\ObterDeltaTelemetriaIntegracaoInerciaResponse',
            'obterDeltaTelemetriaIntegracaoResponse' => '\\StructType\\ObterDeltaTelemetriaIntegracaoResponse',
            'obterEnderecoPosicao' => '\\StructType\\ObterEnderecoPosicao',
            'obterEnderecoPosicaoResponse' => '\\StructType\\ObterEnderecoPosicaoResponse',
            'obterEventoTelemetriaDescricao' => '\\StructType\\ObterEventoTelemetriaDescricao',
            'obterEventoTelemetriaDescricaoResponse' => '\\StructType\\ObterEventoTelemetriaDescricaoResponse',
            'obterEventoTelemetriaIntegracao' => '\\StructType\\ObterEventoTelemetriaIntegracao',
            'obterEventoTelemetriaIntegracaoDataChegada' => '\\StructType\\ObterEventoTelemetriaIntegracaoDataChegada',
            'obterEventoTelemetriaIntegracaoDataChegadaResponse' => '\\StructType\\ObterEventoTelemetriaIntegracaoDataChegadaResponse',
            'obterEventoTelemetriaIntegracaoResponse' => '\\StructType\\ObterEventoTelemetriaIntegracaoResponse',
            'obterEventosTempoDirecao' => '\\StructType\\ObterEventosTempoDirecao',
            'obterEventosTempoDirecaoDataChegada' => '\\StructType\\ObterEventosTempoDirecaoDataChegada',
            'obterEventosTempoDirecaoDataChegadaResponse' => '\\StructType\\ObterEventosTempoDirecaoDataChegadaResponse',
            'obterEventosTempoDirecaoResponse' => '\\StructType\\ObterEventosTempoDirecaoResponse',
            'obterGrupoAtuadores' => '\\StructType\\ObterGrupoAtuadores',
            'obterGrupoAtuadoresResponse' => '\\StructType\\ObterGrupoAtuadoresResponse',
            'obterLayout' => '\\StructType\\ObterLayout',
            'obterLayoutAcaoEmbarcadaAVD' => '\\StructType\\ObterLayoutAcaoEmbarcadaAVD',
            'obterLayoutAcaoEmbarcadaAVDResponse' => '\\StructType\\ObterLayoutAcaoEmbarcadaAVDResponse',
            'obterLayoutAreaAvd' => '\\StructType\\ObterLayoutAreaAvd',
            'obterLayoutAreaAvdResponse' => '\\StructType\\ObterLayoutAreaAvdResponse',
            'obterLayoutData' => '\\StructType\\ObterLayoutData',
            'obterLayoutDataResponse' => '\\StructType\\ObterLayoutDataResponse',
            'obterLayoutDetalhado' => '\\StructType\\ObterLayoutDetalhado',
            'obterLayoutDetalhadoResponse' => '\\StructType\\ObterLayoutDetalhadoResponse',
            'obterLayoutGrupoPontos' => '\\StructType\\ObterLayoutGrupoPontos',
            'obterLayoutGrupoPontosResponse' => '\\StructType\\ObterLayoutGrupoPontosResponse',
            'obterLayoutResponse' => '\\StructType\\ObterLayoutResponse',
            'obterLayoutTecladoVeiculos' => '\\StructType\\ObterLayoutTecladoVeiculos',
            'obterLayoutTecladoVeiculosResponse' => '\\StructType\\ObterLayoutTecladoVeiculosResponse',
            'obterMacroTd40' => '\\StructType\\ObterMacroTd40',
            'obterMacroTd40Response' => '\\StructType\\ObterMacroTd40Response',
            'obterMacroTd50Tmcd' => '\\StructType\\ObterMacroTd50Tmcd',
            'obterMacroTd50TmcdDetalhado' => '\\StructType\\ObterMacroTd50TmcdDetalhado',
            'obterMacroTd50TmcdDetalhadoResponse' => '\\StructType\\ObterMacroTd50TmcdDetalhadoResponse',
            'obterMacroTd50TmcdResponse' => '\\StructType\\ObterMacroTd50TmcdResponse',
            'obterMacroTms3' => '\\StructType\\ObterMacroTms3',
            'obterMacroTms3Response' => '\\StructType\\ObterMacroTms3Response',
            'obterMascaraDispositivos' => '\\StructType\\ObterMascaraDispositivos',
            'obterMascaraDispositivosResponse' => '\\StructType\\ObterMascaraDispositivosResponse',
            'obterMensagemPortal' => '\\StructType\\ObterMensagemPortal',
            'obterMensagemPortalResponse' => '\\StructType\\ObterMensagemPortalResponse',
            'obterMotoristas' => '\\StructType\\ObterMotoristas',
            'obterMotoristasPorVeiculo' => '\\StructType\\ObterMotoristasPorVeiculo',
            'obterMotoristasPorVeiculoResponse' => '\\StructType\\ObterMotoristasPorVeiculoResponse',
            'obterMotoristasResponse' => '\\StructType\\ObterMotoristasResponse',
            'obterMotoristasVeiculos' => '\\StructType\\ObterMotoristasVeiculos',
            'obterMotoristasVeiculosResponse' => '\\StructType\\ObterMotoristasVeiculosResponse',
            'obterPacoteIntegracaoDeltatelemetria' => '\\StructType\\ObterPacoteIntegracaoDeltatelemetria',
            'obterPacoteIntegracaoDeltatelemetriaResponse' => '\\StructType\\ObterPacoteIntegracaoDeltatelemetriaResponse',
            'obterPacoteLocalizacao' => '\\StructType\\ObterPacoteLocalizacao',
            'obterPacoteLocalizacaoResponse' => '\\StructType\\ObterPacoteLocalizacaoResponse',
            'obterPacotePosicaoHistorico' => '\\StructType\\ObterPacotePosicaoHistorico',
            'obterPacotePosicaoHistoricoResponse' => '\\StructType\\ObterPacotePosicaoHistoricoResponse',
            'obterPacotePosicaoMotoristaHistorico' => '\\StructType\\ObterPacotePosicaoMotoristaHistorico',
            'obterPacotePosicaoMotoristaHistoricoResponse' => '\\StructType\\ObterPacotePosicaoMotoristaHistoricoResponse',
            'obterPacotePosicaoMotoristaPorRange' => '\\StructType\\ObterPacotePosicaoMotoristaPorRange',
            'obterPacotePosicaoMotoristaPorRangeJSON' => '\\StructType\\ObterPacotePosicaoMotoristaPorRangeJSON',
            'obterPacotePosicaoMotoristaPorRangeJSONResponse' => '\\StructType\\ObterPacotePosicaoMotoristaPorRangeJSONResponse',
            'obterPacotePosicaoMotoristaPorRangeResponse' => '\\StructType\\ObterPacotePosicaoMotoristaPorRangeResponse',
            'obterPacotePosicaoPorRange' => '\\StructType\\ObterPacotePosicaoPorRange',
            'obterPacotePosicaoPorRangeJSON' => '\\StructType\\ObterPacotePosicaoPorRangeJSON',
            'obterPacotePosicaoPorRangeJSONResponse' => '\\StructType\\ObterPacotePosicaoPorRangeJSONResponse',
            'obterPacotePosicaoPorRangeResponse' => '\\StructType\\ObterPacotePosicaoPorRangeResponse',
            'obterPacotePosicoes' => '\\StructType\\ObterPacotePosicoes',
            'obterPacotePosicoesComPlaca' => '\\StructType\\ObterPacotePosicoesComPlaca',
            'obterPacotePosicoesComPlacaResponse' => '\\StructType\\ObterPacotePosicoesComPlacaResponse',
            'obterPacotePosicoesJSON' => '\\StructType\\ObterPacotePosicoesJSON',
            'obterPacotePosicoesJSONComPlaca' => '\\StructType\\ObterPacotePosicoesJSONComPlaca',
            'obterPacotePosicoesJSONComPlacaResponse' => '\\StructType\\ObterPacotePosicoesJSONComPlacaResponse',
            'obterPacotePosicoesJSONResponse' => '\\StructType\\ObterPacotePosicoesJSONResponse',
            'obterPacotePosicoesMotorista' => '\\StructType\\ObterPacotePosicoesMotorista',
            'obterPacotePosicoesMotoristaComPlaca' => '\\StructType\\ObterPacotePosicoesMotoristaComPlaca',
            'obterPacotePosicoesMotoristaComPlacaResponse' => '\\StructType\\ObterPacotePosicoesMotoristaComPlacaResponse',
            'obterPacotePosicoesMotoristaJSON' => '\\StructType\\ObterPacotePosicoesMotoristaJSON',
            'obterPacotePosicoesMotoristaJSONResponse' => '\\StructType\\ObterPacotePosicoesMotoristaJSONResponse',
            'obterPacotePosicoesMotoristaResponse' => '\\StructType\\ObterPacotePosicoesMotoristaResponse',
            'obterPacotePosicoesMotoristaRestricao' => '\\StructType\\ObterPacotePosicoesMotoristaRestricao',
            'obterPacotePosicoesMotoristaRestricaoResponse' => '\\StructType\\ObterPacotePosicoesMotoristaRestricaoResponse',
            'obterPacotePosicoesRFNacional' => '\\StructType\\ObterPacotePosicoesRFNacional',
            'obterPacotePosicoesRFNacionalResponse' => '\\StructType\\ObterPacotePosicoesRFNacionalResponse',
            'obterPacotePosicoesResponse' => '\\StructType\\ObterPacotePosicoesResponse',
            'obterPacotePosicoesRestricao' => '\\StructType\\ObterPacotePosicoesRestricao',
            'obterPacotePosicoesRestricaoResponse' => '\\StructType\\ObterPacotePosicoesRestricaoResponse',
            'obterPontosReferencia' => '\\StructType\\ObterPontosReferencia',
            'obterPontosReferenciaResponse' => '\\StructType\\ObterPontosReferenciaResponse',
            'obterRotas' => '\\StructType\\ObterRotas',
            'obterRotasResponse' => '\\StructType\\ObterRotasResponse',
            'obterSequenciamentoEvento' => '\\StructType\\ObterSequenciamentoEvento',
            'obterSequenciamentoEventoResponse' => '\\StructType\\ObterSequenciamentoEventoResponse',
            'obterStatusComando' => '\\StructType\\ObterStatusComando',
            'obterStatusComandoResponse' => '\\StructType\\ObterStatusComandoResponse',
            'obterStatusComandoTicketSascar' => '\\StructType\\ObterStatusComandoTicketSascar',
            'obterStatusComandoTicketSascarResponse' => '\\StructType\\ObterStatusComandoTicketSascarResponse',
            'obterTelemetriaPortal' => '\\StructType\\ObterTelemetriaPortal',
            'obterTelemetriaPortalResponse' => '\\StructType\\ObterTelemetriaPortalResponse',
            'obterTipoComando' => '\\StructType\\ObterTipoComando',
            'obterTipoComandoResponse' => '\\StructType\\ObterTipoComandoResponse',
            'obterVeiculos' => '\\StructType\\ObterVeiculos',
            'obterVeiculosJson' => '\\StructType\\ObterVeiculosJson',
            'obterVeiculosJsonResponse' => '\\StructType\\ObterVeiculosJsonResponse',
            'obterVeiculosRFNacional' => '\\StructType\\ObterVeiculosRFNacional',
            'obterVeiculosRFNacionalResponse' => '\\StructType\\ObterVeiculosRFNacionalResponse',
            'obterVeiculosResponse' => '\\StructType\\ObterVeiculosResponse',
            'recuperarEventosCaixaPreta' => '\\StructType\\RecuperarEventosCaixaPreta',
            'recuperarEventosCaixaPretaResponse' => '\\StructType\\RecuperarEventosCaixaPretaResponse',
            'solicitarEventosCaixaPreta' => '\\StructType\\SolicitarEventosCaixaPreta',
            'solicitarEventosCaixaPretaResponse' => '\\StructType\\SolicitarEventosCaixaPretaResponse',
            'verificarVeiculoIntegrado' => '\\StructType\\VerificarVeiculoIntegrado',
            'verificarVeiculoIntegradoResponse' => '\\StructType\\VerificarVeiculoIntegradoResponse',
            'logComando' => '\\StructType\\LogComando',
            'pacotePendente' => '\\StructType\\PacotePendente',
            'telemetriaConfiguracao' => '\\StructType\\TelemetriaConfiguracao',
            'comandoTelemetriaRetorno' => '\\StructType\\ComandoTelemetriaRetorno',
            'smartCamerasEvento' => '\\StructType\\SmartCamerasEvento',
            'smartCamerasMotorista' => '\\StructType\\SmartCamerasMotorista',
            'smartCamerasPayload' => '\\StructType\\SmartCamerasPayload',
            'alertasAVDVinculados' => '\\StructType\\AlertasAVDVinculados',
            'eventoAlertasAvd' => '\\StructType\\EventoAlertasAvd',
            'cliente' => '\\StructType\\Cliente',
            'dadosAdicionais' => '\\StructType\\DadosAdicionais',
            'deltaTelemetriaDataChegada' => '\\StructType\\DeltaTelemetriaDataChegada',
            'deltaTelemetria' => '\\StructType\\DeltaTelemetria',
            'enderecoPosicao' => '\\StructType\\EnderecoPosicao',
            'endereco' => '\\StructType\\Endereco',
            'cidade' => '\\StructType\\Cidade',
            'tipoEventoTelemetriaDescricao' => '\\StructType\\TipoEventoTelemetriaDescricao',
            'eventoTelemetriaDataChegada' => '\\StructType\\EventoTelemetriaDataChegada',
            'eventoTelemetria' => '\\StructType\\EventoTelemetria',
            'eventoTempoDirecaoDataChegada' => '\\StructType\\EventoTempoDirecaoDataChegada',
            'eventoTempoDirecao' => '\\StructType\\EventoTempoDirecao',
            'grupoAtuador' => '\\StructType\\GrupoAtuador',
            'layoutAcaoEmbarcadaAVD' => '\\StructType\\LayoutAcaoEmbarcadaAVD',
            'layoutGrupoAreaAvd' => '\\StructType\\LayoutGrupoAreaAvd',
            'layout' => '\\StructType\\Layout',
            'layoutDetalhado' => '\\StructType\\LayoutDetalhado',
            'macro' => '\\StructType\\Macro',
            'layoutGrupoPontos' => '\\StructType\\LayoutGrupoPontos',
            'layoutTecladoVeiculos' => '\\StructType\\LayoutTecladoVeiculos',
            'macroTd40' => '\\StructType\\MacroTd40',
            'macroTd50TmcdDetalhado' => '\\StructType\\MacroTd50TmcdDetalhado',
            'macroTd50Tmcd' => '\\StructType\\MacroTd50Tmcd',
            'macroTms3' => '\\StructType\\MacroTms3',
            'mascaraDispositivo' => '\\StructType\\MascaraDispositivo',
            'mensagem' => '\\StructType\\Mensagem',
            'motoristaVeiculo' => '\\StructType\\MotoristaVeiculo',
            'motorista' => '\\StructType\\Motorista',
            'pacoteLocalizacao' => '\\StructType\\PacoteLocalizacao',
            'pacotePosicao' => '\\StructType\\PacotePosicao',
            'eventoSequenciamento' => '\\StructType\\EventoSequenciamento',
            'evento' => '\\StructType\\Evento',
            'eventoTelemetriaContainer' => '\\StructType\\EventoTelemetriaContainer',
            'pacotePosicaoRFNacional' => '\\StructType\\PacotePosicaoRFNacional',
            'pontoReferencia' => '\\StructType\\PontoReferencia',
            'rota' => '\\StructType\\Rota',
            'sequenciamentoEvento' => '\\StructType\\SequenciamentoEvento',
            'statusComando' => '\\StructType\\StatusComando',
            'telemetria' => '\\StructType\\Telemetria',
            'tipoComando' => '\\StructType\\TipoComando',
            'veiculo' => '\\StructType\\Veiculo',
            'caixaPretaList' => '\\StructType\\CaixaPretaList',
            'caixaPreta' => '\\StructType\\CaixaPreta',
        );
    }
}
