<?php

namespace ServiceType;

use \WsdlToPhp\PackageBase\AbstractSoapClientBase;

/**
 * This class stands for Get ServiceType
 * @subpackage Services
 */
class Get extends AbstractSoapClientBase
{
    /**
     * Method to call the operation originally named getSmartCamerasEvents
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\GetSmartCamerasEvents $parameters
     * @return \StructType\GetSmartCamerasEventsResponse|bool
     */
    public function getSmartCamerasEvents(\StructType\GetSmartCamerasEvents $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->getSmartCamerasEvents($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named getPositionsPacketJSON
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\GetPositionsPacketJSON $parameters
     * @return \StructType\GetPositionsPacketJSONResponse|bool
     */
    public function getPositionsPacketJSON(\StructType\GetPositionsPacketJSON $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->getPositionsPacketJSON($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named getDriverPositionPacketJSON
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\GetDriverPositionPacketJSON $parameters
     * @return \StructType\GetDriverPositionPacketJSONResponse|bool
     */
    public function getDriverPositionPacketJSON(\StructType\GetDriverPositionPacketJSON $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->getDriverPositionPacketJSON($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named getPositionPacketByRangeJSON
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\GetPositionPacketByRangeJSON $parameters
     * @return \StructType\GetPositionPacketByRangeJSONResponse|bool
     */
    public function getPositionPacketByRangeJSON(\StructType\GetPositionPacketByRangeJSON $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->getPositionPacketByRangeJSON($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named getDriverPositionPacketByRangeJSON
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\GetDriverPositionPacketByRangeJSON $parameters
     * @return \StructType\GetDriverPositionPacketByRangeJSONResponse|bool
     */
    public function getDriverPositionPacketByRangeJSON(\StructType\GetDriverPositionPacketByRangeJSON $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->getDriverPositionPacketByRangeJSON($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named getVehiclesJSON
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\GetVehiclesJSON $parameters
     * @return \StructType\GetVehiclesJSONResponse|bool
     */
    public function getVehiclesJSON(\StructType\GetVehiclesJSON $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->getVehiclesJSON($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named
     * getPositionPacketWithLicensePlateJSON
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\GetPositionPacketWithLicensePlateJSON $parameters
     * @return \StructType\GetPositionPacketWithLicensePlateJSONResponse|bool
     */
    public function getPositionPacketWithLicensePlateJSON(\StructType\GetPositionPacketWithLicensePlateJSON $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->getPositionPacketWithLicensePlateJSON($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Returns the result
     * @see AbstractSoapClientBase::getResult()
     * @return \StructType\GetDriverPositionPacketByRangeJSONResponse|\StructType\GetDriverPositionPacketJSONResponse|\StructType\GetPositionPacketByRangeJSONResponse|\StructType\GetPositionPacketWithLicensePlateJSONResponse|\StructType\GetPositionsPacketJSONResponse|\StructType\GetSmartCamerasEventsResponse|\StructType\GetVehiclesJSONResponse
     */
    public function getResult()
    {
        return parent::getResult();
    }
}
