<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for caixaPreta StructType
 * Meta information extracted from the WSDL
 * - type: ns0:caixaPreta
 * @subpackage Structs
 */
class CaixaPreta extends AbstractStructBase
{
    /**
     * The dataEvento
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $dataEvento;
    /**
     * The latitude
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $latitude;
    /**
     * The longitude
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $longitude;
    /**
     * The operador
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $operador;
    /**
     * The velocidade
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $velocidade;
    /**
     * The rpm
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $rpm;
    /**
     * The ignicao
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $ignicao;
    /**
     * The freio
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $freio;
    /**
     * The limpador
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $limpador;
    /**
     * The descricaoEvento
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $descricaoEvento;
    /**
     * Constructor method for caixaPreta
     * @uses CaixaPreta::setDataEvento()
     * @uses CaixaPreta::setLatitude()
     * @uses CaixaPreta::setLongitude()
     * @uses CaixaPreta::setOperador()
     * @uses CaixaPreta::setVelocidade()
     * @uses CaixaPreta::setRpm()
     * @uses CaixaPreta::setIgnicao()
     * @uses CaixaPreta::setFreio()
     * @uses CaixaPreta::setLimpador()
     * @uses CaixaPreta::setDescricaoEvento()
     * @param string $dataEvento
     * @param string $latitude
     * @param string $longitude
     * @param string $operador
     * @param string $velocidade
     * @param string $rpm
     * @param string $ignicao
     * @param string $freio
     * @param string $limpador
     * @param string $descricaoEvento
     */
    public function __construct($dataEvento = null, $latitude = null, $longitude = null, $operador = null, $velocidade = null, $rpm = null, $ignicao = null, $freio = null, $limpador = null, $descricaoEvento = null)
    {
        $this
            ->setDataEvento($dataEvento)
            ->setLatitude($latitude)
            ->setLongitude($longitude)
            ->setOperador($operador)
            ->setVelocidade($velocidade)
            ->setRpm($rpm)
            ->setIgnicao($ignicao)
            ->setFreio($freio)
            ->setLimpador($limpador)
            ->setDescricaoEvento($descricaoEvento);
    }
    /**
     * Get dataEvento value
     * @return string|null
     */
    public function getDataEvento()
    {
        return $this->dataEvento;
    }
    /**
     * Set dataEvento value
     * @param string $dataEvento
     * @return \StructType\CaixaPreta
     */
    public function setDataEvento($dataEvento = null)
    {
        // validation for constraint: string
        if (!is_null($dataEvento) && !is_string($dataEvento)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($dataEvento, true), gettype($dataEvento)), __LINE__);
        }
        $this->dataEvento = $dataEvento;
        return $this;
    }
    /**
     * Get latitude value
     * @return string|null
     */
    public function getLatitude()
    {
        return $this->latitude;
    }
    /**
     * Set latitude value
     * @param string $latitude
     * @return \StructType\CaixaPreta
     */
    public function setLatitude($latitude = null)
    {
        // validation for constraint: string
        if (!is_null($latitude) && !is_string($latitude)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($latitude, true), gettype($latitude)), __LINE__);
        }
        $this->latitude = $latitude;
        return $this;
    }
    /**
     * Get longitude value
     * @return string|null
     */
    public function getLongitude()
    {
        return $this->longitude;
    }
    /**
     * Set longitude value
     * @param string $longitude
     * @return \StructType\CaixaPreta
     */
    public function setLongitude($longitude = null)
    {
        // validation for constraint: string
        if (!is_null($longitude) && !is_string($longitude)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($longitude, true), gettype($longitude)), __LINE__);
        }
        $this->longitude = $longitude;
        return $this;
    }
    /**
     * Get operador value
     * @return string|null
     */
    public function getOperador()
    {
        return $this->operador;
    }
    /**
     * Set operador value
     * @param string $operador
     * @return \StructType\CaixaPreta
     */
    public function setOperador($operador = null)
    {
        // validation for constraint: string
        if (!is_null($operador) && !is_string($operador)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($operador, true), gettype($operador)), __LINE__);
        }
        $this->operador = $operador;
        return $this;
    }
    /**
     * Get velocidade value
     * @return string|null
     */
    public function getVelocidade()
    {
        return $this->velocidade;
    }
    /**
     * Set velocidade value
     * @param string $velocidade
     * @return \StructType\CaixaPreta
     */
    public function setVelocidade($velocidade = null)
    {
        // validation for constraint: string
        if (!is_null($velocidade) && !is_string($velocidade)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($velocidade, true), gettype($velocidade)), __LINE__);
        }
        $this->velocidade = $velocidade;
        return $this;
    }
    /**
     * Get rpm value
     * @return string|null
     */
    public function getRpm()
    {
        return $this->rpm;
    }
    /**
     * Set rpm value
     * @param string $rpm
     * @return \StructType\CaixaPreta
     */
    public function setRpm($rpm = null)
    {
        // validation for constraint: string
        if (!is_null($rpm) && !is_string($rpm)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($rpm, true), gettype($rpm)), __LINE__);
        }
        $this->rpm = $rpm;
        return $this;
    }
    /**
     * Get ignicao value
     * @return string|null
     */
    public function getIgnicao()
    {
        return $this->ignicao;
    }
    /**
     * Set ignicao value
     * @param string $ignicao
     * @return \StructType\CaixaPreta
     */
    public function setIgnicao($ignicao = null)
    {
        // validation for constraint: string
        if (!is_null($ignicao) && !is_string($ignicao)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($ignicao, true), gettype($ignicao)), __LINE__);
        }
        $this->ignicao = $ignicao;
        return $this;
    }
    /**
     * Get freio value
     * @return string|null
     */
    public function getFreio()
    {
        return $this->freio;
    }
    /**
     * Set freio value
     * @param string $freio
     * @return \StructType\CaixaPreta
     */
    public function setFreio($freio = null)
    {
        // validation for constraint: string
        if (!is_null($freio) && !is_string($freio)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($freio, true), gettype($freio)), __LINE__);
        }
        $this->freio = $freio;
        return $this;
    }
    /**
     * Get limpador value
     * @return string|null
     */
    public function getLimpador()
    {
        return $this->limpador;
    }
    /**
     * Set limpador value
     * @param string $limpador
     * @return \StructType\CaixaPreta
     */
    public function setLimpador($limpador = null)
    {
        // validation for constraint: string
        if (!is_null($limpador) && !is_string($limpador)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($limpador, true), gettype($limpador)), __LINE__);
        }
        $this->limpador = $limpador;
        return $this;
    }
    /**
     * Get descricaoEvento value
     * @return string|null
     */
    public function getDescricaoEvento()
    {
        return $this->descricaoEvento;
    }
    /**
     * Set descricaoEvento value
     * @param string $descricaoEvento
     * @return \StructType\CaixaPreta
     */
    public function setDescricaoEvento($descricaoEvento = null)
    {
        // validation for constraint: string
        if (!is_null($descricaoEvento) && !is_string($descricaoEvento)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($descricaoEvento, true), gettype($descricaoEvento)), __LINE__);
        }
        $this->descricaoEvento = $descricaoEvento;
        return $this;
    }
}
