<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for caixaPretaList StructType
 * Meta information extracted from the WSDL
 * - type: ns0:caixaPretaList
 * @subpackage Structs
 */
class CaixaPretaList extends AbstractStructBase
{
    /**
     * The caixaPreta
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * @var \StructType\CaixaPreta[]
     */
    public $caixaPreta;
    /**
     * Constructor method for caixaPretaList
     * @uses CaixaPretaList::setCaixaPreta()
     * @param \StructType\CaixaPreta[] $caixaPreta
     */
    public function __construct(array $caixaPreta = array())
    {
        $this
            ->setCaixaPreta($caixaPreta);
    }
    /**
     * Get caixaPreta value
     * @return \StructType\CaixaPreta[]|null
     */
    public function getCaixaPreta()
    {
        return $this->caixaPreta;
    }
    /**
     * This method is responsible for validating the values passed to the setCaixaPreta method
     * This method is willingly generated in order to preserve the one-line inline validation within the setCaixaPreta method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateCaixaPretaForArrayConstraintsFromSetCaixaPreta(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $caixaPretaListCaixaPretaItem) {
            // validation for constraint: itemType
            if (!$caixaPretaListCaixaPretaItem instanceof \StructType\CaixaPreta) {
                $invalidValues[] = is_object($caixaPretaListCaixaPretaItem) ? get_class($caixaPretaListCaixaPretaItem) : sprintf('%s(%s)', gettype($caixaPretaListCaixaPretaItem), var_export($caixaPretaListCaixaPretaItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The caixaPreta property can only contain items of type \StructType\CaixaPreta, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set caixaPreta value
     * @throws \InvalidArgumentException
     * @param \StructType\CaixaPreta[] $caixaPreta
     * @return \StructType\CaixaPretaList
     */
    public function setCaixaPreta(array $caixaPreta = array())
    {
        // validation for constraint: array
        if ('' !== ($caixaPretaArrayErrorMessage = self::validateCaixaPretaForArrayConstraintsFromSetCaixaPreta($caixaPreta))) {
            throw new \InvalidArgumentException($caixaPretaArrayErrorMessage, __LINE__);
        }
        $this->caixaPreta = $caixaPreta;
        return $this;
    }
    /**
     * Add item to caixaPreta value
     * @throws \InvalidArgumentException
     * @param \StructType\CaixaPreta $item
     * @return \StructType\CaixaPretaList
     */
    public function addToCaixaPreta(\StructType\CaixaPreta $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \StructType\CaixaPreta) {
            throw new \InvalidArgumentException(sprintf('The caixaPreta property can only contain items of type \StructType\CaixaPreta, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->caixaPreta[] = $item;
        return $this;
    }
}
