<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for comandoEmbarquePontoDiario StructType
 * Meta information extracted from the WSDL
 * - type: ns0:comandoEmbarquePontoDiario
 * @subpackage Structs
 */
class ComandoEmbarquePontoDiario extends AbstractStructBase
{
    /**
     * The usuario
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $usuario;
    /**
     * The senha
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $senha;
    /**
     * The idVeiculo
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $idVeiculo;
    /**
     * The pontosRef
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $pontosRef;
    /**
     * Constructor method for comandoEmbarquePontoDiario
     * @uses ComandoEmbarquePontoDiario::setUsuario()
     * @uses ComandoEmbarquePontoDiario::setSenha()
     * @uses ComandoEmbarquePontoDiario::setIdVeiculo()
     * @uses ComandoEmbarquePontoDiario::setPontosRef()
     * @param string $usuario
     * @param string $senha
     * @param int $idVeiculo
     * @param string $pontosRef
     */
    public function __construct($usuario = null, $senha = null, $idVeiculo = null, $pontosRef = null)
    {
        $this
            ->setUsuario($usuario)
            ->setSenha($senha)
            ->setIdVeiculo($idVeiculo)
            ->setPontosRef($pontosRef);
    }
    /**
     * Get usuario value
     * @return string|null
     */
    public function getUsuario()
    {
        return $this->usuario;
    }
    /**
     * Set usuario value
     * @param string $usuario
     * @return \StructType\ComandoEmbarquePontoDiario
     */
    public function setUsuario($usuario = null)
    {
        // validation for constraint: string
        if (!is_null($usuario) && !is_string($usuario)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($usuario, true), gettype($usuario)), __LINE__);
        }
        $this->usuario = $usuario;
        return $this;
    }
    /**
     * Get senha value
     * @return string|null
     */
    public function getSenha()
    {
        return $this->senha;
    }
    /**
     * Set senha value
     * @param string $senha
     * @return \StructType\ComandoEmbarquePontoDiario
     */
    public function setSenha($senha = null)
    {
        // validation for constraint: string
        if (!is_null($senha) && !is_string($senha)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($senha, true), gettype($senha)), __LINE__);
        }
        $this->senha = $senha;
        return $this;
    }
    /**
     * Get idVeiculo value
     * @return int|null
     */
    public function getIdVeiculo()
    {
        return $this->idVeiculo;
    }
    /**
     * Set idVeiculo value
     * @param int $idVeiculo
     * @return \StructType\ComandoEmbarquePontoDiario
     */
    public function setIdVeiculo($idVeiculo = null)
    {
        // validation for constraint: int
        if (!is_null($idVeiculo) && !(is_int($idVeiculo) || ctype_digit($idVeiculo))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($idVeiculo, true), gettype($idVeiculo)), __LINE__);
        }
        $this->idVeiculo = $idVeiculo;
        return $this;
    }
    /**
     * Get pontosRef value
     * @return string|null
     */
    public function getPontosRef()
    {
        return $this->pontosRef;
    }
    /**
     * Set pontosRef value
     * @param string $pontosRef
     * @return \StructType\ComandoEmbarquePontoDiario
     */
    public function setPontosRef($pontosRef = null)
    {
        // validation for constraint: string
        if (!is_null($pontosRef) && !is_string($pontosRef)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($pontosRef, true), gettype($pontosRef)), __LINE__);
        }
        $this->pontosRef = $pontosRef;
        return $this;
    }
}
