<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for eventoTelemetriaContainer StructType
 * @subpackage Structs
 */
class EventoTelemetriaContainer extends AbstractStructBase
{
    /**
     * The eventoTelemetria
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\EventoTelemetria[]
     */
    public $eventoTelemetria;
    /**
     * Constructor method for eventoTelemetriaContainer
     * @uses EventoTelemetriaContainer::setEventoTelemetria()
     * @param \StructType\EventoTelemetria[] $eventoTelemetria
     */
    public function __construct(array $eventoTelemetria = array())
    {
        $this
            ->setEventoTelemetria($eventoTelemetria);
    }
    /**
     * Get eventoTelemetria value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\EventoTelemetria[]|null
     */
    public function getEventoTelemetria()
    {
        return isset($this->eventoTelemetria) ? $this->eventoTelemetria : null;
    }
    /**
     * This method is responsible for validating the values passed to the setEventoTelemetria method
     * This method is willingly generated in order to preserve the one-line inline validation within the setEventoTelemetria method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateEventoTelemetriaForArrayConstraintsFromSetEventoTelemetria(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $eventoTelemetriaContainerEventoTelemetriaItem) {
            // validation for constraint: itemType
            if (!$eventoTelemetriaContainerEventoTelemetriaItem instanceof \StructType\EventoTelemetria) {
                $invalidValues[] = is_object($eventoTelemetriaContainerEventoTelemetriaItem) ? get_class($eventoTelemetriaContainerEventoTelemetriaItem) : sprintf('%s(%s)', gettype($eventoTelemetriaContainerEventoTelemetriaItem), var_export($eventoTelemetriaContainerEventoTelemetriaItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The eventoTelemetria property can only contain items of type \StructType\EventoTelemetria, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set eventoTelemetria value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @throws \InvalidArgumentException
     * @param \StructType\EventoTelemetria[] $eventoTelemetria
     * @return \StructType\EventoTelemetriaContainer
     */
    public function setEventoTelemetria(array $eventoTelemetria = array())
    {
        // validation for constraint: array
        if ('' !== ($eventoTelemetriaArrayErrorMessage = self::validateEventoTelemetriaForArrayConstraintsFromSetEventoTelemetria($eventoTelemetria))) {
            throw new \InvalidArgumentException($eventoTelemetriaArrayErrorMessage, __LINE__);
        }
        if (is_null($eventoTelemetria) || (is_array($eventoTelemetria) && empty($eventoTelemetria))) {
            unset($this->eventoTelemetria);
        } else {
            $this->eventoTelemetria = $eventoTelemetria;
        }
        return $this;
    }
    /**
     * Add item to eventoTelemetria value
     * @throws \InvalidArgumentException
     * @param \StructType\EventoTelemetria $item
     * @return \StructType\EventoTelemetriaContainer
     */
    public function addToEventoTelemetria(\StructType\EventoTelemetria $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \StructType\EventoTelemetria) {
            throw new \InvalidArgumentException(sprintf('The eventoTelemetria property can only contain items of type \StructType\EventoTelemetria, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->eventoTelemetria[] = $item;
        return $this;
    }
}
