<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for macroTd50TmcdDetalhado StructType
 * @subpackage Structs
 */
class MacroTd50TmcdDetalhado extends AbstractStructBase
{
    /**
     * The idMacroTd50Tmcd
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $idMacroTd50Tmcd;
    /**
     * The idTmcd
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $idTmcd;
    /**
     * The listaLayout
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\LayoutDetalhado[]
     */
    public $listaLayout;
    /**
     * The listaVeiculos
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * - nillable: true
     * @var int[]
     */
    public $listaVeiculos;
    /**
     * The nome
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $nome;
    /**
     * Constructor method for macroTd50TmcdDetalhado
     * @uses MacroTd50TmcdDetalhado::setIdMacroTd50Tmcd()
     * @uses MacroTd50TmcdDetalhado::setIdTmcd()
     * @uses MacroTd50TmcdDetalhado::setListaLayout()
     * @uses MacroTd50TmcdDetalhado::setListaVeiculos()
     * @uses MacroTd50TmcdDetalhado::setNome()
     * @param int $idMacroTd50Tmcd
     * @param int $idTmcd
     * @param \StructType\LayoutDetalhado[] $listaLayout
     * @param int[] $listaVeiculos
     * @param string $nome
     */
    public function __construct($idMacroTd50Tmcd = null, $idTmcd = null, array $listaLayout = array(), array $listaVeiculos = array(), $nome = null)
    {
        $this
            ->setIdMacroTd50Tmcd($idMacroTd50Tmcd)
            ->setIdTmcd($idTmcd)
            ->setListaLayout($listaLayout)
            ->setListaVeiculos($listaVeiculos)
            ->setNome($nome);
    }
    /**
     * Get idMacroTd50Tmcd value
     * @return int|null
     */
    public function getIdMacroTd50Tmcd()
    {
        return $this->idMacroTd50Tmcd;
    }
    /**
     * Set idMacroTd50Tmcd value
     * @param int $idMacroTd50Tmcd
     * @return \StructType\MacroTd50TmcdDetalhado
     */
    public function setIdMacroTd50Tmcd($idMacroTd50Tmcd = null)
    {
        // validation for constraint: int
        if (!is_null($idMacroTd50Tmcd) && !(is_int($idMacroTd50Tmcd) || ctype_digit($idMacroTd50Tmcd))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($idMacroTd50Tmcd, true), gettype($idMacroTd50Tmcd)), __LINE__);
        }
        $this->idMacroTd50Tmcd = $idMacroTd50Tmcd;
        return $this;
    }
    /**
     * Get idTmcd value
     * @return int|null
     */
    public function getIdTmcd()
    {
        return $this->idTmcd;
    }
    /**
     * Set idTmcd value
     * @param int $idTmcd
     * @return \StructType\MacroTd50TmcdDetalhado
     */
    public function setIdTmcd($idTmcd = null)
    {
        // validation for constraint: int
        if (!is_null($idTmcd) && !(is_int($idTmcd) || ctype_digit($idTmcd))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($idTmcd, true), gettype($idTmcd)), __LINE__);
        }
        $this->idTmcd = $idTmcd;
        return $this;
    }
    /**
     * Get listaLayout value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\LayoutDetalhado[]|null
     */
    public function getListaLayout()
    {
        return isset($this->listaLayout) ? $this->listaLayout : null;
    }
    /**
     * This method is responsible for validating the values passed to the setListaLayout method
     * This method is willingly generated in order to preserve the one-line inline validation within the setListaLayout method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateListaLayoutForArrayConstraintsFromSetListaLayout(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $macroTd50TmcdDetalhadoListaLayoutItem) {
            // validation for constraint: itemType
            if (!$macroTd50TmcdDetalhadoListaLayoutItem instanceof \StructType\LayoutDetalhado) {
                $invalidValues[] = is_object($macroTd50TmcdDetalhadoListaLayoutItem) ? get_class($macroTd50TmcdDetalhadoListaLayoutItem) : sprintf('%s(%s)', gettype($macroTd50TmcdDetalhadoListaLayoutItem), var_export($macroTd50TmcdDetalhadoListaLayoutItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The listaLayout property can only contain items of type \StructType\LayoutDetalhado, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set listaLayout value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @throws \InvalidArgumentException
     * @param \StructType\LayoutDetalhado[] $listaLayout
     * @return \StructType\MacroTd50TmcdDetalhado
     */
    public function setListaLayout(array $listaLayout = array())
    {
        // validation for constraint: array
        if ('' !== ($listaLayoutArrayErrorMessage = self::validateListaLayoutForArrayConstraintsFromSetListaLayout($listaLayout))) {
            throw new \InvalidArgumentException($listaLayoutArrayErrorMessage, __LINE__);
        }
        if (is_null($listaLayout) || (is_array($listaLayout) && empty($listaLayout))) {
            unset($this->listaLayout);
        } else {
            $this->listaLayout = $listaLayout;
        }
        return $this;
    }
    /**
     * Add item to listaLayout value
     * @throws \InvalidArgumentException
     * @param \StructType\LayoutDetalhado $item
     * @return \StructType\MacroTd50TmcdDetalhado
     */
    public function addToListaLayout(\StructType\LayoutDetalhado $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \StructType\LayoutDetalhado) {
            throw new \InvalidArgumentException(sprintf('The listaLayout property can only contain items of type \StructType\LayoutDetalhado, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->listaLayout[] = $item;
        return $this;
    }
    /**
     * Get listaVeiculos value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return int[]|null
     */
    public function getListaVeiculos()
    {
        return isset($this->listaVeiculos) ? $this->listaVeiculos : null;
    }
    /**
     * This method is responsible for validating the values passed to the setListaVeiculos method
     * This method is willingly generated in order to preserve the one-line inline validation within the setListaVeiculos method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateListaVeiculosForArrayConstraintsFromSetListaVeiculos(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $macroTd50TmcdDetalhadoListaVeiculosItem) {
            // validation for constraint: itemType
            if (!(is_int($macroTd50TmcdDetalhadoListaVeiculosItem) || ctype_digit($macroTd50TmcdDetalhadoListaVeiculosItem))) {
                $invalidValues[] = is_object($macroTd50TmcdDetalhadoListaVeiculosItem) ? get_class($macroTd50TmcdDetalhadoListaVeiculosItem) : sprintf('%s(%s)', gettype($macroTd50TmcdDetalhadoListaVeiculosItem), var_export($macroTd50TmcdDetalhadoListaVeiculosItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The listaVeiculos property can only contain items of type int, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set listaVeiculos value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @throws \InvalidArgumentException
     * @param int[] $listaVeiculos
     * @return \StructType\MacroTd50TmcdDetalhado
     */
    public function setListaVeiculos(array $listaVeiculos = array())
    {
        // validation for constraint: array
        if ('' !== ($listaVeiculosArrayErrorMessage = self::validateListaVeiculosForArrayConstraintsFromSetListaVeiculos($listaVeiculos))) {
            throw new \InvalidArgumentException($listaVeiculosArrayErrorMessage, __LINE__);
        }
        if (is_null($listaVeiculos) || (is_array($listaVeiculos) && empty($listaVeiculos))) {
            unset($this->listaVeiculos);
        } else {
            $this->listaVeiculos = $listaVeiculos;
        }
        return $this;
    }
    /**
     * Add item to listaVeiculos value
     * @throws \InvalidArgumentException
     * @param int $item
     * @return \StructType\MacroTd50TmcdDetalhado
     */
    public function addToListaVeiculos($item)
    {
        // validation for constraint: itemType
        if (!(is_int($item) || ctype_digit($item))) {
            throw new \InvalidArgumentException(sprintf('The listaVeiculos property can only contain items of type int, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->listaVeiculos[] = $item;
        return $this;
    }
    /**
     * Get nome value
     * @return string|null
     */
    public function getNome()
    {
        return $this->nome;
    }
    /**
     * Set nome value
     * @param string $nome
     * @return \StructType\MacroTd50TmcdDetalhado
     */
    public function setNome($nome = null)
    {
        // validation for constraint: string
        if (!is_null($nome) && !is_string($nome)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($nome, true), gettype($nome)), __LINE__);
        }
        $this->nome = $nome;
        return $this;
    }
}
