<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for obterClientes StructType
 * Meta information extracted from the WSDL
 * - type: ns0:obterClientes
 * @subpackage Structs
 */
class ObterClientes extends AbstractStructBase
{
    /**
     * The usuario
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $usuario;
    /**
     * The senha
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $senha;
    /**
     * The quantidade
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $quantidade;
    /**
     * The idCliente
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $idCliente;
    /**
     * Constructor method for obterClientes
     * @uses ObterClientes::setUsuario()
     * @uses ObterClientes::setSenha()
     * @uses ObterClientes::setQuantidade()
     * @uses ObterClientes::setIdCliente()
     * @param string $usuario
     * @param string $senha
     * @param int $quantidade
     * @param int $idCliente
     */
    public function __construct($usuario = null, $senha = null, $quantidade = null, $idCliente = null)
    {
        $this
            ->setUsuario($usuario)
            ->setSenha($senha)
            ->setQuantidade($quantidade)
            ->setIdCliente($idCliente);
    }
    /**
     * Get usuario value
     * @return string|null
     */
    public function getUsuario()
    {
        return $this->usuario;
    }
    /**
     * Set usuario value
     * @param string $usuario
     * @return \StructType\ObterClientes
     */
    public function setUsuario($usuario = null)
    {
        // validation for constraint: string
        if (!is_null($usuario) && !is_string($usuario)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($usuario, true), gettype($usuario)), __LINE__);
        }
        $this->usuario = $usuario;
        return $this;
    }
    /**
     * Get senha value
     * @return string|null
     */
    public function getSenha()
    {
        return $this->senha;
    }
    /**
     * Set senha value
     * @param string $senha
     * @return \StructType\ObterClientes
     */
    public function setSenha($senha = null)
    {
        // validation for constraint: string
        if (!is_null($senha) && !is_string($senha)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($senha, true), gettype($senha)), __LINE__);
        }
        $this->senha = $senha;
        return $this;
    }
    /**
     * Get quantidade value
     * @return int|null
     */
    public function getQuantidade()
    {
        return $this->quantidade;
    }
    /**
     * Set quantidade value
     * @param int $quantidade
     * @return \StructType\ObterClientes
     */
    public function setQuantidade($quantidade = null)
    {
        // validation for constraint: int
        if (!is_null($quantidade) && !(is_int($quantidade) || ctype_digit($quantidade))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($quantidade, true), gettype($quantidade)), __LINE__);
        }
        $this->quantidade = $quantidade;
        return $this;
    }
    /**
     * Get idCliente value
     * @return int|null
     */
    public function getIdCliente()
    {
        return $this->idCliente;
    }
    /**
     * Set idCliente value
     * @param int $idCliente
     * @return \StructType\ObterClientes
     */
    public function setIdCliente($idCliente = null)
    {
        // validation for constraint: int
        if (!is_null($idCliente) && !(is_int($idCliente) || ctype_digit($idCliente))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($idCliente, true), gettype($idCliente)), __LINE__);
        }
        $this->idCliente = $idCliente;
        return $this;
    }
}
