<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for obterEventoTelemetriaIntegracao StructType
 * Meta information extracted from the WSDL
 * - type: ns0:obterEventoTelemetriaIntegracao
 * @subpackage Structs
 */
class ObterEventoTelemetriaIntegracao extends AbstractStructBase
{
    /**
     * The usuario
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $usuario;
    /**
     * The senha
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $senha;
    /**
     * The dataInicio
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $dataInicio;
    /**
     * The dataFinal
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $dataFinal;
    /**
     * The idVeiculo
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $idVeiculo;
    /**
     * The idEventoList
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * @var int[]
     */
    public $idEventoList;
    /**
     * Constructor method for obterEventoTelemetriaIntegracao
     * @uses ObterEventoTelemetriaIntegracao::setUsuario()
     * @uses ObterEventoTelemetriaIntegracao::setSenha()
     * @uses ObterEventoTelemetriaIntegracao::setDataInicio()
     * @uses ObterEventoTelemetriaIntegracao::setDataFinal()
     * @uses ObterEventoTelemetriaIntegracao::setIdVeiculo()
     * @uses ObterEventoTelemetriaIntegracao::setIdEventoList()
     * @param string $usuario
     * @param string $senha
     * @param string $dataInicio
     * @param string $dataFinal
     * @param int $idVeiculo
     * @param int[] $idEventoList
     */
    public function __construct($usuario = null, $senha = null, $dataInicio = null, $dataFinal = null, $idVeiculo = null, array $idEventoList = array())
    {
        $this
            ->setUsuario($usuario)
            ->setSenha($senha)
            ->setDataInicio($dataInicio)
            ->setDataFinal($dataFinal)
            ->setIdVeiculo($idVeiculo)
            ->setIdEventoList($idEventoList);
    }
    /**
     * Get usuario value
     * @return string|null
     */
    public function getUsuario()
    {
        return $this->usuario;
    }
    /**
     * Set usuario value
     * @param string $usuario
     * @return \StructType\ObterEventoTelemetriaIntegracao
     */
    public function setUsuario($usuario = null)
    {
        // validation for constraint: string
        if (!is_null($usuario) && !is_string($usuario)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($usuario, true), gettype($usuario)), __LINE__);
        }
        $this->usuario = $usuario;
        return $this;
    }
    /**
     * Get senha value
     * @return string|null
     */
    public function getSenha()
    {
        return $this->senha;
    }
    /**
     * Set senha value
     * @param string $senha
     * @return \StructType\ObterEventoTelemetriaIntegracao
     */
    public function setSenha($senha = null)
    {
        // validation for constraint: string
        if (!is_null($senha) && !is_string($senha)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($senha, true), gettype($senha)), __LINE__);
        }
        $this->senha = $senha;
        return $this;
    }
    /**
     * Get dataInicio value
     * @return string|null
     */
    public function getDataInicio()
    {
        return $this->dataInicio;
    }
    /**
     * Set dataInicio value
     * @param string $dataInicio
     * @return \StructType\ObterEventoTelemetriaIntegracao
     */
    public function setDataInicio($dataInicio = null)
    {
        // validation for constraint: string
        if (!is_null($dataInicio) && !is_string($dataInicio)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($dataInicio, true), gettype($dataInicio)), __LINE__);
        }
        $this->dataInicio = $dataInicio;
        return $this;
    }
    /**
     * Get dataFinal value
     * @return string|null
     */
    public function getDataFinal()
    {
        return $this->dataFinal;
    }
    /**
     * Set dataFinal value
     * @param string $dataFinal
     * @return \StructType\ObterEventoTelemetriaIntegracao
     */
    public function setDataFinal($dataFinal = null)
    {
        // validation for constraint: string
        if (!is_null($dataFinal) && !is_string($dataFinal)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($dataFinal, true), gettype($dataFinal)), __LINE__);
        }
        $this->dataFinal = $dataFinal;
        return $this;
    }
    /**
     * Get idVeiculo value
     * @return int|null
     */
    public function getIdVeiculo()
    {
        return $this->idVeiculo;
    }
    /**
     * Set idVeiculo value
     * @param int $idVeiculo
     * @return \StructType\ObterEventoTelemetriaIntegracao
     */
    public function setIdVeiculo($idVeiculo = null)
    {
        // validation for constraint: int
        if (!is_null($idVeiculo) && !(is_int($idVeiculo) || ctype_digit($idVeiculo))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($idVeiculo, true), gettype($idVeiculo)), __LINE__);
        }
        $this->idVeiculo = $idVeiculo;
        return $this;
    }
    /**
     * Get idEventoList value
     * @return int[]|null
     */
    public function getIdEventoList()
    {
        return $this->idEventoList;
    }
    /**
     * This method is responsible for validating the values passed to the setIdEventoList method
     * This method is willingly generated in order to preserve the one-line inline validation within the setIdEventoList method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateIdEventoListForArrayConstraintsFromSetIdEventoList(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $obterEventoTelemetriaIntegracaoIdEventoListItem) {
            // validation for constraint: itemType
            if (!(is_int($obterEventoTelemetriaIntegracaoIdEventoListItem) || ctype_digit($obterEventoTelemetriaIntegracaoIdEventoListItem))) {
                $invalidValues[] = is_object($obterEventoTelemetriaIntegracaoIdEventoListItem) ? get_class($obterEventoTelemetriaIntegracaoIdEventoListItem) : sprintf('%s(%s)', gettype($obterEventoTelemetriaIntegracaoIdEventoListItem), var_export($obterEventoTelemetriaIntegracaoIdEventoListItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The idEventoList property can only contain items of type int, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set idEventoList value
     * @throws \InvalidArgumentException
     * @param int[] $idEventoList
     * @return \StructType\ObterEventoTelemetriaIntegracao
     */
    public function setIdEventoList(array $idEventoList = array())
    {
        // validation for constraint: array
        if ('' !== ($idEventoListArrayErrorMessage = self::validateIdEventoListForArrayConstraintsFromSetIdEventoList($idEventoList))) {
            throw new \InvalidArgumentException($idEventoListArrayErrorMessage, __LINE__);
        }
        $this->idEventoList = $idEventoList;
        return $this;
    }
    /**
     * Add item to idEventoList value
     * @throws \InvalidArgumentException
     * @param int $item
     * @return \StructType\ObterEventoTelemetriaIntegracao
     */
    public function addToIdEventoList($item)
    {
        // validation for constraint: itemType
        if (!(is_int($item) || ctype_digit($item))) {
            throw new \InvalidArgumentException(sprintf('The idEventoList property can only contain items of type int, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->idEventoList[] = $item;
        return $this;
    }
}
