<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for obterEventosTempoDirecao StructType
 * Meta information extracted from the WSDL
 * - type: ns0:obterEventosTempoDirecao
 * @subpackage Structs
 */
class ObterEventosTempoDirecao extends AbstractStructBase
{
    /**
     * The usuario
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $usuario;
    /**
     * The senha
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $senha;
    /**
     * The quantidade
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $quantidade;
    /**
     * The idMotorista
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $idMotorista;
    /**
     * The dataInicio
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $dataInicio;
    /**
     * The dataFim
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $dataFim;
    /**
     * Constructor method for obterEventosTempoDirecao
     * @uses ObterEventosTempoDirecao::setUsuario()
     * @uses ObterEventosTempoDirecao::setSenha()
     * @uses ObterEventosTempoDirecao::setQuantidade()
     * @uses ObterEventosTempoDirecao::setIdMotorista()
     * @uses ObterEventosTempoDirecao::setDataInicio()
     * @uses ObterEventosTempoDirecao::setDataFim()
     * @param string $usuario
     * @param string $senha
     * @param int $quantidade
     * @param int $idMotorista
     * @param string $dataInicio
     * @param string $dataFim
     */
    public function __construct($usuario = null, $senha = null, $quantidade = null, $idMotorista = null, $dataInicio = null, $dataFim = null)
    {
        $this
            ->setUsuario($usuario)
            ->setSenha($senha)
            ->setQuantidade($quantidade)
            ->setIdMotorista($idMotorista)
            ->setDataInicio($dataInicio)
            ->setDataFim($dataFim);
    }
    /**
     * Get usuario value
     * @return string|null
     */
    public function getUsuario()
    {
        return $this->usuario;
    }
    /**
     * Set usuario value
     * @param string $usuario
     * @return \StructType\ObterEventosTempoDirecao
     */
    public function setUsuario($usuario = null)
    {
        // validation for constraint: string
        if (!is_null($usuario) && !is_string($usuario)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($usuario, true), gettype($usuario)), __LINE__);
        }
        $this->usuario = $usuario;
        return $this;
    }
    /**
     * Get senha value
     * @return string|null
     */
    public function getSenha()
    {
        return $this->senha;
    }
    /**
     * Set senha value
     * @param string $senha
     * @return \StructType\ObterEventosTempoDirecao
     */
    public function setSenha($senha = null)
    {
        // validation for constraint: string
        if (!is_null($senha) && !is_string($senha)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($senha, true), gettype($senha)), __LINE__);
        }
        $this->senha = $senha;
        return $this;
    }
    /**
     * Get quantidade value
     * @return int|null
     */
    public function getQuantidade()
    {
        return $this->quantidade;
    }
    /**
     * Set quantidade value
     * @param int $quantidade
     * @return \StructType\ObterEventosTempoDirecao
     */
    public function setQuantidade($quantidade = null)
    {
        // validation for constraint: int
        if (!is_null($quantidade) && !(is_int($quantidade) || ctype_digit($quantidade))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($quantidade, true), gettype($quantidade)), __LINE__);
        }
        $this->quantidade = $quantidade;
        return $this;
    }
    /**
     * Get idMotorista value
     * @return int|null
     */
    public function getIdMotorista()
    {
        return $this->idMotorista;
    }
    /**
     * Set idMotorista value
     * @param int $idMotorista
     * @return \StructType\ObterEventosTempoDirecao
     */
    public function setIdMotorista($idMotorista = null)
    {
        // validation for constraint: int
        if (!is_null($idMotorista) && !(is_int($idMotorista) || ctype_digit($idMotorista))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($idMotorista, true), gettype($idMotorista)), __LINE__);
        }
        $this->idMotorista = $idMotorista;
        return $this;
    }
    /**
     * Get dataInicio value
     * @return string|null
     */
    public function getDataInicio()
    {
        return $this->dataInicio;
    }
    /**
     * Set dataInicio value
     * @param string $dataInicio
     * @return \StructType\ObterEventosTempoDirecao
     */
    public function setDataInicio($dataInicio = null)
    {
        // validation for constraint: string
        if (!is_null($dataInicio) && !is_string($dataInicio)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($dataInicio, true), gettype($dataInicio)), __LINE__);
        }
        $this->dataInicio = $dataInicio;
        return $this;
    }
    /**
     * Get dataFim value
     * @return string|null
     */
    public function getDataFim()
    {
        return $this->dataFim;
    }
    /**
     * Set dataFim value
     * @param string $dataFim
     * @return \StructType\ObterEventosTempoDirecao
     */
    public function setDataFim($dataFim = null)
    {
        // validation for constraint: string
        if (!is_null($dataFim) && !is_string($dataFim)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($dataFim, true), gettype($dataFim)), __LINE__);
        }
        $this->dataFim = $dataFim;
        return $this;
    }
}
