<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for obterLayoutResponse StructType
 * Meta information extracted from the WSDL
 * - type: ns0:obterLayoutResponse
 * @subpackage Structs
 */
class ObterLayoutResponse extends AbstractStructBase
{
    /**
     * The return
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * @var \StructType\Layout[]
     */
    public $return;
    /**
     * Constructor method for obterLayoutResponse
     * @uses ObterLayoutResponse::setReturn()
     * @param \StructType\Layout[] $return
     */
    public function __construct(array $return = array())
    {
        $this
            ->setReturn($return);
    }
    /**
     * Get return value
     * @return \StructType\Layout[]|null
     */
    public function getReturn()
    {
        return $this->return;
    }
    /**
     * This method is responsible for validating the values passed to the setReturn method
     * This method is willingly generated in order to preserve the one-line inline validation within the setReturn method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateReturnForArrayConstraintsFromSetReturn(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $obterLayoutResponseReturnItem) {
            // validation for constraint: itemType
            if (!$obterLayoutResponseReturnItem instanceof \StructType\Layout) {
                $invalidValues[] = is_object($obterLayoutResponseReturnItem) ? get_class($obterLayoutResponseReturnItem) : sprintf('%s(%s)', gettype($obterLayoutResponseReturnItem), var_export($obterLayoutResponseReturnItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The return property can only contain items of type \StructType\Layout, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set return value
     * @throws \InvalidArgumentException
     * @param \StructType\Layout[] $return
     * @return \StructType\ObterLayoutResponse
     */
    public function setReturn(array $return = array())
    {
        // validation for constraint: array
        if ('' !== ($returnArrayErrorMessage = self::validateReturnForArrayConstraintsFromSetReturn($return))) {
            throw new \InvalidArgumentException($returnArrayErrorMessage, __LINE__);
        }
        $this->return = $return;
        return $this;
    }
    /**
     * Add item to return value
     * @throws \InvalidArgumentException
     * @param \StructType\Layout $item
     * @return \StructType\ObterLayoutResponse
     */
    public function addToReturn(\StructType\Layout $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \StructType\Layout) {
            throw new \InvalidArgumentException(sprintf('The return property can only contain items of type \StructType\Layout, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->return[] = $item;
        return $this;
    }
}
