<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for obterMotoristasResponse StructType
 * Meta information extracted from the WSDL
 * - type: ns0:obterMotoristasResponse
 * @subpackage Structs
 */
class ObterMotoristasResponse extends AbstractStructBase
{
    /**
     * The return
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * @var \StructType\Motorista[]
     */
    public $return;
    /**
     * Constructor method for obterMotoristasResponse
     * @uses ObterMotoristasResponse::setReturn()
     * @param \StructType\Motorista[] $return
     */
    public function __construct(array $return = array())
    {
        $this
            ->setReturn($return);
    }
    /**
     * Get return value
     * @return \StructType\Motorista[]|null
     */
    public function getReturn()
    {
        return $this->return;
    }
    /**
     * This method is responsible for validating the values passed to the setReturn method
     * This method is willingly generated in order to preserve the one-line inline validation within the setReturn method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateReturnForArrayConstraintsFromSetReturn(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $obterMotoristasResponseReturnItem) {
            // validation for constraint: itemType
            if (!$obterMotoristasResponseReturnItem instanceof \StructType\Motorista) {
                $invalidValues[] = is_object($obterMotoristasResponseReturnItem) ? get_class($obterMotoristasResponseReturnItem) : sprintf('%s(%s)', gettype($obterMotoristasResponseReturnItem), var_export($obterMotoristasResponseReturnItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The return property can only contain items of type \StructType\Motorista, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set return value
     * @throws \InvalidArgumentException
     * @param \StructType\Motorista[] $return
     * @return \StructType\ObterMotoristasResponse
     */
    public function setReturn(array $return = array())
    {
        // validation for constraint: array
        if ('' !== ($returnArrayErrorMessage = self::validateReturnForArrayConstraintsFromSetReturn($return))) {
            throw new \InvalidArgumentException($returnArrayErrorMessage, __LINE__);
        }
        $this->return = $return;
        return $this;
    }
    /**
     * Add item to return value
     * @throws \InvalidArgumentException
     * @param \StructType\Motorista $item
     * @return \StructType\ObterMotoristasResponse
     */
    public function addToReturn(\StructType\Motorista $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \StructType\Motorista) {
            throw new \InvalidArgumentException(sprintf('The return property can only contain items of type \StructType\Motorista, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->return[] = $item;
        return $this;
    }
}
