<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for pontoReferencia StructType
 * @subpackage Structs
 */
class PontoReferencia extends AbstractStructBase
{
    /**
     * The codigo
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $codigo;
    /**
     * The data
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $data;
    /**
     * The descricao
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $descricao;
    /**
     * The endereco
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $endereco;
    /**
     * The idPontoReferencia
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $idPontoReferencia;
    /**
     * The latitudeI
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $latitudeI;
    /**
     * The latitudeS
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $latitudeS;
    /**
     * The longitudeI
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $longitudeI;
    /**
     * The longitudeS
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $longitudeS;
    /**
     * The nome
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $nome;
    /**
     * Constructor method for pontoReferencia
     * @uses PontoReferencia::setCodigo()
     * @uses PontoReferencia::setData()
     * @uses PontoReferencia::setDescricao()
     * @uses PontoReferencia::setEndereco()
     * @uses PontoReferencia::setIdPontoReferencia()
     * @uses PontoReferencia::setLatitudeI()
     * @uses PontoReferencia::setLatitudeS()
     * @uses PontoReferencia::setLongitudeI()
     * @uses PontoReferencia::setLongitudeS()
     * @uses PontoReferencia::setNome()
     * @param int $codigo
     * @param string $data
     * @param string $descricao
     * @param string $endereco
     * @param int $idPontoReferencia
     * @param float $latitudeI
     * @param float $latitudeS
     * @param float $longitudeI
     * @param float $longitudeS
     * @param string $nome
     */
    public function __construct($codigo = null, $data = null, $descricao = null, $endereco = null, $idPontoReferencia = null, $latitudeI = null, $latitudeS = null, $longitudeI = null, $longitudeS = null, $nome = null)
    {
        $this
            ->setCodigo($codigo)
            ->setData($data)
            ->setDescricao($descricao)
            ->setEndereco($endereco)
            ->setIdPontoReferencia($idPontoReferencia)
            ->setLatitudeI($latitudeI)
            ->setLatitudeS($latitudeS)
            ->setLongitudeI($longitudeI)
            ->setLongitudeS($longitudeS)
            ->setNome($nome);
    }
    /**
     * Get codigo value
     * @return int|null
     */
    public function getCodigo()
    {
        return $this->codigo;
    }
    /**
     * Set codigo value
     * @param int $codigo
     * @return \StructType\PontoReferencia
     */
    public function setCodigo($codigo = null)
    {
        // validation for constraint: int
        if (!is_null($codigo) && !(is_int($codigo) || ctype_digit($codigo))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($codigo, true), gettype($codigo)), __LINE__);
        }
        $this->codigo = $codigo;
        return $this;
    }
    /**
     * Get data value
     * @return string|null
     */
    public function getData()
    {
        return $this->data;
    }
    /**
     * Set data value
     * @param string $data
     * @return \StructType\PontoReferencia
     */
    public function setData($data = null)
    {
        // validation for constraint: string
        if (!is_null($data) && !is_string($data)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($data, true), gettype($data)), __LINE__);
        }
        $this->data = $data;
        return $this;
    }
    /**
     * Get descricao value
     * @return string|null
     */
    public function getDescricao()
    {
        return $this->descricao;
    }
    /**
     * Set descricao value
     * @param string $descricao
     * @return \StructType\PontoReferencia
     */
    public function setDescricao($descricao = null)
    {
        // validation for constraint: string
        if (!is_null($descricao) && !is_string($descricao)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($descricao, true), gettype($descricao)), __LINE__);
        }
        $this->descricao = $descricao;
        return $this;
    }
    /**
     * Get endereco value
     * @return string|null
     */
    public function getEndereco()
    {
        return $this->endereco;
    }
    /**
     * Set endereco value
     * @param string $endereco
     * @return \StructType\PontoReferencia
     */
    public function setEndereco($endereco = null)
    {
        // validation for constraint: string
        if (!is_null($endereco) && !is_string($endereco)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($endereco, true), gettype($endereco)), __LINE__);
        }
        $this->endereco = $endereco;
        return $this;
    }
    /**
     * Get idPontoReferencia value
     * @return int|null
     */
    public function getIdPontoReferencia()
    {
        return $this->idPontoReferencia;
    }
    /**
     * Set idPontoReferencia value
     * @param int $idPontoReferencia
     * @return \StructType\PontoReferencia
     */
    public function setIdPontoReferencia($idPontoReferencia = null)
    {
        // validation for constraint: int
        if (!is_null($idPontoReferencia) && !(is_int($idPontoReferencia) || ctype_digit($idPontoReferencia))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($idPontoReferencia, true), gettype($idPontoReferencia)), __LINE__);
        }
        $this->idPontoReferencia = $idPontoReferencia;
        return $this;
    }
    /**
     * Get latitudeI value
     * @return float|null
     */
    public function getLatitudeI()
    {
        return $this->latitudeI;
    }
    /**
     * Set latitudeI value
     * @param float $latitudeI
     * @return \StructType\PontoReferencia
     */
    public function setLatitudeI($latitudeI = null)
    {
        // validation for constraint: float
        if (!is_null($latitudeI) && !(is_float($latitudeI) || is_numeric($latitudeI))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($latitudeI, true), gettype($latitudeI)), __LINE__);
        }
        $this->latitudeI = $latitudeI;
        return $this;
    }
    /**
     * Get latitudeS value
     * @return float|null
     */
    public function getLatitudeS()
    {
        return $this->latitudeS;
    }
    /**
     * Set latitudeS value
     * @param float $latitudeS
     * @return \StructType\PontoReferencia
     */
    public function setLatitudeS($latitudeS = null)
    {
        // validation for constraint: float
        if (!is_null($latitudeS) && !(is_float($latitudeS) || is_numeric($latitudeS))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($latitudeS, true), gettype($latitudeS)), __LINE__);
        }
        $this->latitudeS = $latitudeS;
        return $this;
    }
    /**
     * Get longitudeI value
     * @return float|null
     */
    public function getLongitudeI()
    {
        return $this->longitudeI;
    }
    /**
     * Set longitudeI value
     * @param float $longitudeI
     * @return \StructType\PontoReferencia
     */
    public function setLongitudeI($longitudeI = null)
    {
        // validation for constraint: float
        if (!is_null($longitudeI) && !(is_float($longitudeI) || is_numeric($longitudeI))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($longitudeI, true), gettype($longitudeI)), __LINE__);
        }
        $this->longitudeI = $longitudeI;
        return $this;
    }
    /**
     * Get longitudeS value
     * @return float|null
     */
    public function getLongitudeS()
    {
        return $this->longitudeS;
    }
    /**
     * Set longitudeS value
     * @param float $longitudeS
     * @return \StructType\PontoReferencia
     */
    public function setLongitudeS($longitudeS = null)
    {
        // validation for constraint: float
        if (!is_null($longitudeS) && !(is_float($longitudeS) || is_numeric($longitudeS))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($longitudeS, true), gettype($longitudeS)), __LINE__);
        }
        $this->longitudeS = $longitudeS;
        return $this;
    }
    /**
     * Get nome value
     * @return string|null
     */
    public function getNome()
    {
        return $this->nome;
    }
    /**
     * Set nome value
     * @param string $nome
     * @return \StructType\PontoReferencia
     */
    public function setNome($nome = null)
    {
        // validation for constraint: string
        if (!is_null($nome) && !is_string($nome)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($nome, true), gettype($nome)), __LINE__);
        }
        $this->nome = $nome;
        return $this;
    }
}
