<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for smartCamerasMotorista StructType
 * @subpackage Structs
 */
class SmartCamerasMotorista extends AbstractStructBase
{
    /**
     * The cpf
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $cpf;
    /**
     * The nome
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $nome;
    /**
     * The registration
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $registration;
    /**
     * Constructor method for smartCamerasMotorista
     * @uses SmartCamerasMotorista::setCpf()
     * @uses SmartCamerasMotorista::setNome()
     * @uses SmartCamerasMotorista::setRegistration()
     * @param string $cpf
     * @param string $nome
     * @param string $registration
     */
    public function __construct($cpf = null, $nome = null, $registration = null)
    {
        $this
            ->setCpf($cpf)
            ->setNome($nome)
            ->setRegistration($registration);
    }
    /**
     * Get cpf value
     * @return string|null
     */
    public function getCpf()
    {
        return $this->cpf;
    }
    /**
     * Set cpf value
     * @param string $cpf
     * @return \StructType\SmartCamerasMotorista
     */
    public function setCpf($cpf = null)
    {
        // validation for constraint: string
        if (!is_null($cpf) && !is_string($cpf)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($cpf, true), gettype($cpf)), __LINE__);
        }
        $this->cpf = $cpf;
        return $this;
    }
    /**
     * Get nome value
     * @return string|null
     */
    public function getNome()
    {
        return $this->nome;
    }
    /**
     * Set nome value
     * @param string $nome
     * @return \StructType\SmartCamerasMotorista
     */
    public function setNome($nome = null)
    {
        // validation for constraint: string
        if (!is_null($nome) && !is_string($nome)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($nome, true), gettype($nome)), __LINE__);
        }
        $this->nome = $nome;
        return $this;
    }
    /**
     * Get registration value
     * @return string|null
     */
    public function getRegistration()
    {
        return $this->registration;
    }
    /**
     * Set registration value
     * @param string $registration
     * @return \StructType\SmartCamerasMotorista
     */
    public function setRegistration($registration = null)
    {
        // validation for constraint: string
        if (!is_null($registration) && !is_string($registration)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($registration, true), gettype($registration)), __LINE__);
        }
        $this->registration = $registration;
        return $this;
    }
}
